Go to the latest version of this document.

# ``twisted`.`logger`.`_stdlib``

module documentation
(source)

Integration with Python standard library logging.

Class | `StringifiableFromEvent` | An object that implements `__str__()` in order to defer the work of formatting until it's converted into a `str`.
Variable | `fromStdlibLogLevelMapping` | Undocumented
Variable | `toStdlibLogLevelMapping` | Undocumented
Function | `_reverseLogLevelMapping` | Reverse the above mapping, adding both the numerical keys used above and the corresponding string keys also used by python logging.

fromStdlibLogLevelMapping = (source)

Undocumented

toStdlibLogLevelMapping: `Mapping[NamedConstant, int]` = (source)

Undocumented

def _reverseLogLevelMapping() -> `Mapping[int, NamedConstant]`: (source)

Reverse the above mapping, adding both the numerical keys used above and the corresponding string keys also used by python logging.

Returns
`Mapping[int, NamedConstant]` | the reversed mapping